summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /games-strategy/ja2-stracciatella
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'games-strategy/ja2-stracciatella')
-rw-r--r--games-strategy/ja2-stracciatella/Manifest2
-rw-r--r--games-strategy/ja2-stracciatella/files/ja2-convert.sh16
-rw-r--r--games-strategy/ja2-stracciatella/files/ja2-stracciatella-0.12.1_p7072-makefile.patch179
-rw-r--r--games-strategy/ja2-stracciatella/ja2-stracciatella-0.12.1_p7072.ebuild88
-rw-r--r--games-strategy/ja2-stracciatella/metadata.xml10
5 files changed, 295 insertions, 0 deletions
diff --git a/games-strategy/ja2-stracciatella/Manifest b/games-strategy/ja2-stracciatella/Manifest
new file mode 100644
index 00000000000..d6f3829097e
--- /dev/null
+++ b/games-strategy/ja2-stracciatella/Manifest
@@ -0,0 +1,2 @@
+DIST editor.slf.gz 134265 SHA256 a1cb444f3b3dfc509dd9498fe391b258ebfc8954689ed864f633021e9f56cde6 SHA512 243e3bf5e7298c3a71b330985f5c4d4df3e4cb43df32c823d835353d6309a64f62679c3d0634ca162f6484f7cbf366627e57b1d967188c13940db8933a5f03f2 WHIRLPOOL c542911659d06f49fb9f39baedc148237d868bd55f306fe7c02fb45e113a1001d247ea60b81178278a34d3aed585fa8e1575aedb462d4a0644c386ddb2fc31c7
+DIST ja2-stracciatella-0.12.1_p7072.tar.xz 2118832 SHA256 41729ff2d283b291af2389bbd75942373cfa6f6bd8e80eed999ad6526adf036a SHA512 9269c9e2e179d705b6d83dfac56c604eaefbe5bffe5c16e3f26c1209d3842bbac22db19362e51acf0c6602d64a283d2ec4fa19b0f37d1cddfb013f686c936411 WHIRLPOOL 8e22fdcf23977a646ed7599ba61abfea715f67ec21aebf9f8087349459275023c138648d633e8d7b8fdc6d03b60414ca460b0a6eb8bcae3646cec761dba7b56a
diff --git a/games-strategy/ja2-stracciatella/files/ja2-convert.sh b/games-strategy/ja2-stracciatella/files/ja2-convert.sh
new file mode 100644
index 00000000000..4f337ca7535
--- /dev/null
+++ b/games-strategy/ja2-stracciatella/files/ja2-convert.sh
@@ -0,0 +1,16 @@
+#!/bin/sh
+# Convert names of data-files to lower-case
+
+# location of the data-files
+GAMES_DATADIR=@GAMES_DATADIR@
+
+cd "${GAMES_DATADIR}" || exit 1
+
+# convert to lowercase
+find . -exec sh -c 'echo "${1}"
+lower="`echo "${1}" | tr [:upper:] [:lower:]`"
+[ -d `dirname "${lower}"` ] || mkdir `dirname ${lower}`
+[ "${1}" = "${lower}" ] || mv "${1}" "${lower}"' - {} \;
+
+# remove leftover
+rm -r ./TILECACHE ./STSOUNDS
diff --git a/games-strategy/ja2-stracciatella/files/ja2-stracciatella-0.12.1_p7072-makefile.patch b/games-strategy/ja2-stracciatella/files/ja2-stracciatella-0.12.1_p7072-makefile.patch
new file mode 100644
index 00000000000..0475773bd36
--- /dev/null
+++ b/games-strategy/ja2-stracciatella/files/ja2-stracciatella-0.12.1_p7072-makefile.patch
@@ -0,0 +1,179 @@
+From: Julian Ospald <hasufell@gentoo.org>
+Date: Tue May 8 19:16:08 UTC 2012
+Subject: build system
+
+--- Makefile
++++ Makefile
+@@ -16,106 +16,94 @@
+ MANPREFIX ?= $(PREFIX)
+
+ INSTALL ?= install
+-INSTALL_PROGRAM ?= $(INSTALL) -m 555 -s
+-INSTALL_MAN ?= $(INSTALL) -m 444
+-INSTALL_DATA ?= $(INSTALL) -m 444
++INSTALL_PROGRAM ?= $(INSTALL) -m 755
++INSTALL_MAN ?= $(INSTALL) -m 644
++INSTALL_DATA ?= $(INSTALL) -m 644
+
++# compiler CFLAGS
++CFLAGS += -std=gnu99
+
++# sdl-flags
+ SDL_CONFIG ?= sdl-config
+ ifndef CFLAGS_SDL
+ CFLAGS_SDL := $(shell $(SDL_CONFIG) --cflags)
+ endif
+ ifndef LDFLAGS_SDL
+-LDFLAGS_SDL := $(shell $(SDL_CONFIG) --libs)
++LIBS_SDL := $(shell $(SDL_CONFIG) --libs)
+ endif
+
++# LIBS
++LIBS += $(LIBS_SDL)
++LIBS += -lm
++
++ifdef WITH_ZLIB
++LIBS += -lz
++endif
+
+-CFLAGS += $(CFLAGS_SDL)
+-CFLAGS += -I Build
+-CFLAGS += -I Build/Tactical
+-CFLAGS += -I Build/Strategic
+-CFLAGS += -I Build/Editor
+-CFLAGS += -I Build/Res
+-CFLAGS += -I Build/Laptop
+-CFLAGS += -I Build/Utils
+-CFLAGS += -I Build/TileEngine
+-CFLAGS += -I Build/TacticalAI
+-CFLAGS += -I sgp
+-
+-#CFLAGS += -Wall
+-#CFLAGS += -W
+-CFLAGS += -Wpointer-arith
+-CFLAGS += -Wreturn-type
+-CFLAGS += -Wunused-label
+-CFLAGS += -Wunused-variable
+-CFLAGS += -Wwrite-strings
+
+-CFLAGS += -DJA2
++# preprocessor flags
++CPPFLAGS += $(CFLAGS_SDL)
++CPPFLAGS += -I Build
++CPPFLAGS += -I Build/Tactical
++CPPFLAGS += -I Build/Strategic
++CPPFLAGS += -I Build/Editor
++CPPFLAGS += -I Build/Res
++CPPFLAGS += -I Build/Laptop
++CPPFLAGS += -I Build/Utils
++CPPFLAGS += -I Build/TileEngine
++CPPFLAGS += -I Build/TacticalAI
++CPPFLAGS += -I sgp
+
++CPPFLAGS += -DJA2
+
+ ifdef WITH_DEMO
+- CFLAGS += -DJA2DEMO
++ CPPFLAGS += -DJA2DEMO
+ endif
+
+ ifdef WITH_DEMO_ADS
+ ifndef WITH_DEMO
+ $(error WITH_DEMO_ADS needs WITH_DEMO)
+ endif
+- CFLAGS += -DJA2DEMOADS
++ CPPFLAGS += -DJA2DEMOADS
+ endif
+
+ ifdef WITH_FIXMES
+- CFLAGS += -DWITH_FIXMES
++ CPPFLAGS += -DWITH_FIXMES
+ endif
+
+ ifdef WITH_MAEMO
+- CFLAGS += -DWITH_MAEMO
++ CPPFLAGS += -DWITH_MAEMO
+ endif
+
+ ifdef WITH_SOUND_DEBUG
+- CFLAGS += -DWITH_SOUND_DEBUG
++ CPPFLAGS += -DWITH_SOUND_DEBUG
+ endif
+
+ ifdef _DEBUG
+- CFLAGS += -D_DEBUG
++ CPPFLAGS += -D_DEBUG
+ ifndef JA2TESTVERSION
+ JA2TESTVERSION := yes
+ endif
+ endif
+
+ ifdef JA2TESTVERSION
+- CFLAGS += -DJA2TESTVERSION
++ CPPFLAGS += -DJA2TESTVERSION
+ ifndef JA2BETAVERSION
+ JA2BETAVERSION := yes
+ endif
+ endif
+
+ ifdef JA2BETAVERSION
+-CFLAGS += -DJA2BETAVERSION -DSGP_DEBUG -DFORCE_ASSERTS_ON -DSGP_VIDEO_DEBUGGING
++CPPFLAGS += -DJA2BETAVERSION -DSGP_DEBUG -DFORCE_ASSERTS_ON -DSGP_VIDEO_DEBUGGING
+ endif
+
+ ifdef JA2EDITOR
+-CFLAGS += -DJA2EDITOR
++CPPFLAGS += -DJA2EDITOR
+ endif
+
+-CFLAGS += -D$(LNG)
+-
+-CFLAGS += -DSGPDATADIR=\"$(SGPDATADIR)\"
+-
+-CCFLAGS += $(CFLAGS)
+-CCFLAGS += -std=gnu99
+-CCFLAGS += -Werror-implicit-function-declaration
+-CCFLAGS += -Wimplicit-int
+-CCFLAGS += -Wmissing-prototypes
++CPPFLAGS += -D$(LNG)
++CPPFLAGS += -DSGPDATADIR=\"$(SGPDATADIR)\"
+
+-CXXFLAGS += $(CFLAGS)
+-
+-LDFLAGS += $(LDFLAGS_SDL)
+-LDFLAGS += -lm
+-
+-ifdef WITH_ZLIB
+-LDFLAGS += -lz
+-endif
+
+ SRCS :=
+ SRCS += Build/AniViewScreen.cc
+@@ -468,7 +456,7 @@
+ .SUFFIXES:
+ .SUFFIXES: .c .cc .d .o
+
+-Q ?= @
++Q =
+
+ all: $(BINARY)
+
+@@ -476,15 +464,15 @@
+
+ $(BINARY): $(OBJS)
+ @echo '===> LD $@'
+- $(Q)$(CXX) $(CFLAGS) $(OBJS) $(LDFLAGS) -o $@
++ $(Q)$(CXX) $(CXXFLAGS) $(OBJS) $(LDFLAGS) -o $@ $(LIBS)
+
+ .c.o:
+ @echo '===> CC $<'
+- $(Q)$(CC) $(CCFLAGS) -c -MMD -o $@ $<
++ $(Q)$(CC) $(CFLAGS) $(CPPFLAGS) -c -MMD -o $@ $<
+
+ .cc.o:
+ @echo '===> CXX $<'
+- $(Q)$(CXX) $(CXXFLAGS) -c -MMD -o $@ $<
++ $(Q)$(CXX) $(CXXFLAGS) $(CPPFLAGS) -c -MMD -o $@ $<
+
+ clean distclean:
+ @echo '===> CLEAN'
diff --git a/games-strategy/ja2-stracciatella/ja2-stracciatella-0.12.1_p7072.ebuild b/games-strategy/ja2-stracciatella/ja2-stracciatella-0.12.1_p7072.ebuild
new file mode 100644
index 00000000000..936f5b33524
--- /dev/null
+++ b/games-strategy/ja2-stracciatella/ja2-stracciatella-0.12.1_p7072.ebuild
@@ -0,0 +1,88 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=4
+
+inherit eutils games
+
+DESCRIPTION="A port of Jagged Alliance 2 to SDL"
+HOMEPAGE="http://tron.homeunix.org/ja2/"
+SRC_URI="http://dev.gentoo.org/~hasufell/distfiles/${P}.tar.xz
+ http://tron.homeunix.org/ja2/editor.slf.gz"
+
+LICENSE="SFI-SCLA"
+SLOT="0"
+KEYWORDS="amd64 x86"
+IUSE="cdinstall editor zlib"
+
+RDEPEND="media-libs/libsdl[X,sound,video]
+ cdinstall? ( games-strategy/ja2-stracciatella-data )
+ zlib? ( sys-libs/zlib )"
+
+LANGS="linguas_de +linguas_en linguas_fr linguas_it linguas_nl linguas_pl linguas_ru linguas_ru_gold"
+IUSE="$IUSE $LANGS"
+REQUIRED_USE="^^ ( ${LANGS//+/} )"
+
+src_prepare() {
+ epatch "${FILESDIR}"/${P}-makefile.patch
+
+ sed \
+ -e "s:/some/place/where/the/data/is:${GAMES_DATADIR}/ja2:" \
+ -i sgp/FileMan.cc || die
+
+ sed \
+ -e "s:@GAMES_DATADIR@:${GAMES_DATADIR}/ja2/data:" \
+ "${FILESDIR}"/ja2-convert.sh > "${T}"/ja2-convert || die
+}
+
+src_compile() {
+ local myconf
+
+ case ${LINGUAS} in
+ de) myconf="LNG=GERMAN" ;;
+ nl) myconf="LNG=DUTCH" ;;
+ fr) myconf="LNG=FRENCH" ;;
+ it) myconf="LNG=ITALIAN" ;;
+ pl) myconf="LNG=POLISH" ;;
+ ru) myconf="LNG=RUSSIAN" ;;
+ ru_gold) myconf="LNG=RUSSIAN_GOLD" ;;
+ en) myconf="LNG=ENGLISH" ;;
+ *) die "wat" ;;
+ esac
+ elog "Chosen language is ${myconf#LNG=}"
+
+ use editor && myconf+=" JA2EDITOR=yes JA2BETAVERSION=yes"
+ use zlib && myconf+=" WITH_ZLIB=yes"
+
+ emake ${myconf}
+}
+
+src_install() {
+ dogamesbin ja2 "${T}"/ja2-convert
+
+ if use editor; then
+ insinto "${GAMES_DATADIR}"/ja2/data
+ doins "${WORKDIR}"/editor.slf
+ fi
+
+ make_desktop_entry ja2 ${PN}
+ doman ja2.6
+
+ prepgamesdirs
+}
+
+pkg_postinst() {
+ games_pkg_postinst
+
+ elog "You need ja2 in the chosen language, otherwise set it in package.use!"
+
+ if ! use cdinstall ; then
+ elog "You need to copy all files from the Data directory of"
+ elog "Jagged Alliance 2 installation to"
+ elog "${GAMES_DATADIR}/ja2/data "
+ elog "Make sure the filenames are lowercase. You may want to run the"
+ elog "script":
+ elog "${GAMES_BINDIR}/ja2-convert"
+ fi
+}
diff --git a/games-strategy/ja2-stracciatella/metadata.xml b/games-strategy/ja2-stracciatella/metadata.xml
new file mode 100644
index 00000000000..27bf0ade792
--- /dev/null
+++ b/games-strategy/ja2-stracciatella/metadata.xml
@@ -0,0 +1,10 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>games</herd>
+ <use>
+ <flag name="editor">Adds necessary file to run the editor</flag>
+ <flag name="linguas_ru_gold">Support for russian gold ja2 version</flag>
+ </use>
+</pkgmetadata>
+